Skip to main content
POST
Reverse loan account transaction

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Headers

X-Request-ID
string

Canonical idempotency request ID. Falls back to X-Idempotency when absent.

Example:

"550e8400-e29b-41d4-a716-446655440010"

X-Idempotency
string

Fallback idempotency request ID used when X-Request-ID is absent.

Example:

"550e8400-e29b-41d4-a716-446655440011"

Path Parameters

id
string<uuid>
required

Loan account identifier (UUID).

Example:

"550e8400-e29b-41d4-a716-446655440000"

transactionId
string<uuid>
required

Original repayment transaction identifier (UUID).

Example:

"550e8400-e29b-41d4-a716-446655440001"

Body

application/json
effectiveDate
string
required

YYYY-MM-DD effective date of the reversal.

Example:

"2026-06-14"

profileVersion
string
required

Product profile version applied to the reversal.

Minimum string length: 1
Example:

"1.0.0"

reason
string
required

Operator-supplied reversal reason.

Minimum string length: 1
jurisdictionCode
string

Optional jurisdiction code.

Example:

"BR"

Response

OK

amount
string
required

Reversed amount (2 d.p. string).

Example:

"125.00"

effectiveDate
string
required

ISO-8601 effective date of the reversal.

Example:

"2026-06-14"

loanAccountId
string
required

Loan account UUID.

Example:

"550e8400-e29b-41d4-a716-446655440000"

originalTransactionId
string
required

Reversed original transaction UUID.

Example:

"550e8400-e29b-41d4-a716-446655440001"

profileVersion
string
required

Product profile version applied to the reversal.

Example:

"1.0.0"

reason
string
required

Operator-supplied reversal reason.

transactionId
string
required

Compensating reversal transaction UUID.

Example:

"550e8400-e29b-41d4-a716-446655440002"

jurisdictionCode
string

Jurisdiction code applied to the reversal.

Example:

"BR"

requestId
string

Idempotency request ID echoed from the request.

Example:

"550e8400-e29b-41d4-a716-446655440010"